#include <Servo.h>

#define LDR1Pin PIN_PC1
#define LED1Pin PIN_PC2
int sensorValue1 = 0;

#define LDR2Pin PIN_PC4
#define LED2Pin PIN_PC5
int sensorValue2 = 0;

Servo servo1;
Servo servo2;

void setup() {
  // put your setup code here, to run once:
  // LED & LDR
  pinMode(LDR1Pin, INPUT);
  pinMode(LED1Pin, OUTPUT);

  // Servo
  servo1.attach(PIN_PC0);
  servo2.attach(PIN_PC3);

  servo1.write(0);
  servo2.write(0);

}

void loop() {
  // put your main code here, to run repeatedly:
  sensorValue1 = analogRead(LDR1Pin);
  sensorValue2 = analogRead(LDR2Pin);
  
  // FOR FIRST SERVO
  // When LDR sees black color
  if(sensorValue1 > 150)
  {
    // LED on
    digitalWrite(LED1Pin, HIGH);

    // Servo rotates to the front
    servo1.write(45);
    delay(150);
    servo1.write(0);
    // Put LDR in front of Servo and add some delay
    }
    else
    {
      // LED off
      digitalWrite(LED1Pin, LOW);

      // Servo rotates back
      servo1.write(0);
      // Put LDR in front of Servo and add some delay
      }

   //FOR SERVO 2
   if(sensorValue2 > 150)
   {
    digitalWrite(LED2Pin, HIGH);

    servo2.write(45);
    delay(150);
    servo2.write(0);
    }
    else
    {
      digitalWrite(LED2Pin, LOW);

      servo2.write(0);
      }
      delay(150);

}
